html
	{
	height: 800vh;
	}

#div-1
	{
	background-color: green ;
	/*Takes as much space as they can or consume the entire width of the webpage*/
	/*display: block;	*/
	display: inline;
	}

#span-1
	{
	background-color: purple;
	/* Takes only the necessary space needed. */
	/*display: inline;*/
	display: inline-block;
	width: 200px;  
	height: 200px;
	/*Cannot change width and height*/
	}

#img 
	{
	width: 200px;	
	height: 200px;
	/*Get the ability of block elements to set the ht & width but only takes the space intended like inline elements */
	display: inline-block;
	}

#span-2
	{
	background-color: hotpink;	
	display: block;
	}

#div-2
	{
	background-color: red;	
	/* display: none = hides the element from the website and it will not be shown visually */
	display: none;
	}

/*CSS Color Values*/
#p-1
	{
	background-color: #87CEFA;	/*hex code*/
	}

#p-2 
	{
	background-color: rgb(255, 105, 180); /*rgb color value*/
	width: 60%;
	}

#p-3
	{
	background-color: yellow;
	width: 40%;	
	}

.sample
	{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;	
	}

/*FLOAT PROPERTY*/

#float-parent
	{
	float: right;	
	}

.img-float
	{
	height: 250px;	
	width: 250px;
	/*inherit = inherit the value from the parent element*/
	float: inherit;
	}	


/* CSS Units */
.box
	{
	background-color: indianred;	
	border: 1px solid black;
	margin: 5px;
	}

.fifty-percent
	{
	width: 50%;	
	}

.one-hundred-pixels
	{
	width: 100px;
	}



/*
	- Viewport Units represents a percentage of current browser size.
	- These are calculated as apercentage of the browser's current viewport size (100vw =100% browser screen)
	- useful on creating full width (100% elements to fill up the entire viewport)
*/

.fifty-vw
	{
	width: 50vw; /*viewport width*/
	}

.twenty-five-vh
	{
	height: 25vh;	/*viewport height*/
	}


/* rem/em is commonly used in setting font size */
.one-rem
	{
	font-size: 1rem;
	}

.one-em 
	{
	font-size: 1em;	
	}

.two-rem
	{
	font-size: 2rem;
	}

.two-em 
	{
	font-size: 2em;	
	}

.twohund-percent
	{
	font-size: 200%;
	}


.parent
	{
	width: 150px;	
	border: 2px solid navy;
	font-size: 32px;
	}

/*Background Property*/

.background 
	{
	min-height: 20rem;
	/*background-color: gray;	*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);

	/*
	repeats sets the background image to repeat if the width exceeds the background size
	values:  repeat x/y , round, no repeat
	*/
	background-repeat: no-repeat;

	/*
	background size:  specifies size of the image
	values:  auto, cover, contain, 
	unit values (width x height)
		- one value - set width , auto height
		- two value - set width and height
	*/
	background-size: 100%;

	/*
	background position - position the background relative to the parent element
		- 2 values are needed
			- x value from left, center and right
			- y value from top to bottom
		- Values can be in form of: ;
			- unit values (width and height)
			- names (left, right, center, top, bottom)
	*/
	background-position: center top;

	/*
	background attachment - [fixed , scroll] sets wether a background image scrolls with the rest of the page or if it is fixed
	*/
	background-attachment: fixed;
	}

.bg-title
	{
	color: white;
	text-align: center;	
	font-size: 5rem;
	margin: 0;
	line-height: 35rem;
	position: sticky;
	top: 10px;
	}

.container-bg
	{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh /*defines the minimum ht of the element*/;	
	}

/*CSS Position Property*/
/*
	default position:  static
					relative:  allows to move using left, bottom relative to the original positon;
					absolute:  allows to move relative to the distant ancenstor (body if none);
					fixed:  	places the element fixed on the viewing screen;
					sticky: ;

*/


.parent-element
	{
	background-color: skyblue;
	padding: 10px;
	position: relative;
	height: 800vh;
	}

.child-one
	{
	background-color: gray;
	padding: 10px;
	}

.child-two
	{
	background-color: yellow;
	padding: 10px;
	position: sticky;
/*	left: 10px;
	bottom: 10px;*/
	top: 10px;
	}

.child-three
	{
	background-color: gray;
	padding: 10px;	
	}

/*Z index*/

.container
	{
	position: relative;	
	}

.black-box
	{
	position: relative;	
	z-index: 1;
	border: 2px solid black;
	background-color: black;
	color: white;
	height: 100px;
	margin: 30px;
	}

.gray-box
	{
	position: absolute;	
	z-index: 3;
	background-color: lightgray;
	height: 80px;
	width: 70%;
	left: 50px;
	top: 50px;
	}

.green-box
	{
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
	}
